# SIPEndPoint::SIP_PDU_Thread Class Reference

`#include <sipep.h>`

List of all members.

## Public Member Functions

| SIP_PDU_Thread (PThreadPoolBase &_pool)
unsigned | GetWorkSize () const
void | OnAddWork (SIP_PDU_Work *work)
void | OnRemoveWork (SIP_PDU_Work *)
void | Shutdown ()
void | Main ()

## Protected Attributes

PMutex | mutex
PSyncPoint | sync
SIP_PDUWorkQueue | pduQueue

## Constructor & Destructor Documentation

SIPEndPoint::SIP_PDU_Thread::SIP_PDU_Thread | ( | PThreadPoolBase & | _pool | ) |

## Member Function Documentation

unsigned SIPEndPoint::SIP_PDU_Thread::GetWorkSize | ( |  | ) | const

void SIPEndPoint::SIP_PDU_Thread::OnAddWork | ( | SIP_PDU_Work * | work | ) |

void SIPEndPoint::SIP_PDU_Thread::OnRemoveWork | ( | SIP_PDU_Work * |  | ) |

void SIPEndPoint::SIP_PDU_Thread::Shutdown | ( |  | ) |

void SIPEndPoint::SIP_PDU_Thread::Main | ( |  | ) |

## Member Data Documentation

PMutex SIPEndPoint::SIP_PDU_Thread::mutex `[protected]`

PSyncPoint SIPEndPoint::SIP_PDU_Thread::sync `[protected]`

SIP_PDUWorkQueue SIPEndPoint::SIP_PDU_Thread::pduQueue `[protected]`

The documentation for this class was generated from the following file:

- sipep.h